Index: trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java
===================================================================
--- trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java	(revision 452)
+++ trunk/quest-core-tasktrees-test/src/test/java/de/ugoe/cs/quest/tasktrees/temporalrelation/AbstractTemporalRelationshipTC.java	(revision 557)
@@ -1,3 +1,2 @@
-//-------------------------------------------------------------------------------------------------
 // Module    : $RCSfile: AbstractTemporalRelationshipTC.java,v $
 // Version   : $Revision: 0.0 $  $Author: patrick $  $Date: 28.04.2012 $
@@ -5,5 +4,5 @@
 // Creation  : 2012 by patrick
 // Copyright : Patrick Harms, 2012
-//-------------------------------------------------------------------------------------------------
+
 package de.ugoe.cs.quest.tasktrees.temporalrelation;
 
@@ -14,18 +13,17 @@
 import org.junit.Before;
 
-import de.ugoe.cs.quest.eventcore.guimodel.GUIElement;
-import de.ugoe.cs.quest.eventcore.userinteraction.Interaction;
+import de.ugoe.cs.quest.eventcore.IEventTarget;
+import de.ugoe.cs.quest.eventcore.IEventType;
 import de.ugoe.cs.quest.tasktrees.nodeequality.NodeEqualityRuleManager;
 import de.ugoe.cs.quest.tasktrees.testutils.SimpleLogFormatter;
 import de.ugoe.cs.quest.tasktrees.testutils.Utilities;
-import de.ugoe.cs.quest.tasktrees.treeifc.InteractionTask;
-import de.ugoe.cs.quest.tasktrees.treeifc.Sequence;
-import de.ugoe.cs.quest.tasktrees.treeifc.TaskTree;
-import de.ugoe.cs.quest.tasktrees.treeifc.TaskTreeBuilder;
-import de.ugoe.cs.quest.tasktrees.treeifc.TaskTreeNodeFactory;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilderImpl;
-import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactoryImpl;
+import de.ugoe.cs.quest.tasktrees.treeifc.IEventTask;
+import de.ugoe.cs.quest.tasktrees.treeifc.ISequence;
+import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTree;
+import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeBuilder;
+import de.ugoe.cs.quest.tasktrees.treeifc.ITaskTreeNodeFactory;
+import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeBuilder;
+import de.ugoe.cs.quest.tasktrees.treeimpl.TaskTreeNodeFactory;
 
-//-------------------------------------------------------------------------------------------------
 /**
  * TODO comment
@@ -34,67 +32,54 @@
  * @author 2012, last modified by $Author: patrick$
  */
-//-------------------------------------------------------------------------------------------------
-public class AbstractTemporalRelationshipTC
-{
+public class AbstractTemporalRelationshipTC {
 
-  /** */
-  private List<InteractionTask> mInteractions;
-  
-  /** */
-  private TaskTreeBuilder mTaskTreeBuilder = new TaskTreeBuilderImpl();
+    /** */
+    private List<IEventTask> events;
 
-  /** */
-  private TaskTreeNodeFactory mTaskTreeNodeFactory = new TaskTreeNodeFactoryImpl();
-  
-  /** */
-  private NodeEqualityRuleManager mNodeEqualityRuleManager =
-    Utilities.getNodeEqualityRuleManagerForTests();
+    /** */
+    private ITaskTreeBuilder taskTreeBuilder = new TaskTreeBuilder();
 
-  //-----------------------------------------------------------------------------------------------
-  /**
+    /** */
+    private ITaskTreeNodeFactory taskTreeNodeFactory = new TaskTreeNodeFactory();
+
+    /** */
+    private NodeEqualityRuleManager nodeEqualityRuleManager =
+        Utilities.getNodeEqualityRuleManagerForTests();
+
+    /**
    *
    */
-  //-----------------------------------------------------------------------------------------------
-  @Before
-  public void setUp()
-  {
-    Logger.getLogger("").getHandlers()[0].setFormatter(new SimpleLogFormatter());
-    mInteractions = new ArrayList<InteractionTask>();
-  }
+    @Before
+    public void setUp() {
+        Logger.getLogger("").getHandlers()[0].setFormatter(new SimpleLogFormatter());
+        events = new ArrayList<IEventTask>();
+    }
 
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * @param interactionsDoNotOverwriteElement
-   */
-  //-----------------------------------------------------------------------------------------------
-  protected void simulateInteraction(GUIElement GUIElement, Interaction interaction)
-  {
-    mInteractions.add
-      (mTaskTreeNodeFactory.createNewInteractionTask(GUIElement, interaction));
-  }
+    /**
+     *
+     */
+    protected void simulateEvent(IEventType eventType, IEventTarget eventTarget) {
+        events.add(taskTreeNodeFactory.createNewEventTask(eventType, eventTarget));
+    }
 
-  //-----------------------------------------------------------------------------------------------
-  /**
-   * @param interactionsDoNotOverwriteElement
-   * @return 
-   */
-  //-----------------------------------------------------------------------------------------------
-  protected TaskTree getTaskTree()
-  {
-    Sequence sequence = mTaskTreeNodeFactory.createNewSequence();
-    
-    for (InteractionTask task : mInteractions)
-    {
-      mTaskTreeBuilder.addChild(sequence, task);
+    /**
+     *
+     * @return
+     */
+    protected ITaskTree getTaskTree() {
+        ISequence sequence = taskTreeNodeFactory.createNewSequence();
+
+        for (IEventTask task : events) {
+            taskTreeBuilder.addChild(sequence, task);
+        }
+
+        TemporalRelationshipRuleManager ruleManager =
+            new TemporalRelationshipRuleManager(nodeEqualityRuleManager);
+
+        ruleManager.init();
+        ruleManager.applyRules(sequence, taskTreeBuilder, taskTreeNodeFactory, true);
+
+        return taskTreeNodeFactory.createTaskTree(sequence);
     }
-    
-    TemporalRelationshipRuleManager ruleManager =
-      new TemporalRelationshipRuleManager(mNodeEqualityRuleManager);
-    
-    ruleManager.init();
-    ruleManager.applyRules(sequence, mTaskTreeBuilder, mTaskTreeNodeFactory, true);
-    
-    return mTaskTreeNodeFactory.createTaskTree(sequence);
-  }
 
 }
